package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity
@Table(name = "DetailDiagnosaPasien_T")
public class DetailDiagnosaPasien extends MedicalRecordTransaction {
	
	@ManyToOne
	@JoinColumn(name = "ObjectDiagnosaPasienFk")
	@NotNull(message="Diagnosa Pasien harus Diisi")
	@Caption(value="Diagnosa Pasien")
	private DiagnosaPasien diagnosaPasien;
	
	@Column(name = "ObjectDiagnosaPasienFk", insertable=false,updatable=false,nullable = false)
	private String diagnosaPasienId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectDiagnosaFk")
	@NotNull(message="Diagnosa  harus Diisi")
	@Caption(value="Diagnosa ")
	private Diagnosa diagnosa;
	
	@Column(name = "ObjectDiagnosaFk", insertable=false,updatable=false,nullable = false)
	private Integer diagnosaId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectJenisDiagnosaFk")
	@NotNull(message="Jenis Diagnosa  harus Diisi")
	@Caption(value="Jenis Diagnosa ")
	private JenisDiagnosa jenisDiagnosa;
	
	@Column(name = "ObjectDiagnosaFk", insertable=false,updatable=false,nullable = false)
	private Integer jenisDiagnosaId;

	@Column(name = "tglInputDiagnosa", nullable = true )
	@Caption(value="tglInputDiagnosa")
	private Date tglInputDiagnosa;
	
	@Column(name = "keterangan", nullable = true )
	@Caption(value="keterangan")
	private String keterangan;

	public DiagnosaPasien getDiagnosaPasien() {
		return diagnosaPasien;
	}

	public void setDiagnosaPasien(DiagnosaPasien diagnosaPasien) {
		this.diagnosaPasien = diagnosaPasien;
	}

	public String getDiagnosaPasienId() {
		return diagnosaPasienId;
	}

	public void setDiagnosaPasienId(String diagnosaPasienId) {
		this.diagnosaPasienId = diagnosaPasienId;
	}

	public Diagnosa getDiagnosa() {
		return diagnosa;
	}

	public void setDiagnosa(Diagnosa diagnosa) {
		this.diagnosa = diagnosa;
	}

	public Integer getDiagnosaId() {
		return diagnosaId;
	}

	public void setDiagnosaId(Integer diagnosaId) {
		this.diagnosaId = diagnosaId;
	}

	public JenisDiagnosa getJenisDiagnosa() {
		return jenisDiagnosa;
	}

	public void setJenisDiagnosa(JenisDiagnosa jenisDiagnosa) {
		this.jenisDiagnosa = jenisDiagnosa;
	}

	public Integer getJenisDiagnosaId() {
		return jenisDiagnosaId;
	}

	public void setJenisDiagnosaId(Integer jenisDiagnosaId) {
		this.jenisDiagnosaId = jenisDiagnosaId;
	}

	public Date getTglInputDiagnosa() {
		return tglInputDiagnosa;
	}

	public void setTglInputDiagnosa(Date tglInputDiagnosa) {
		this.tglInputDiagnosa = tglInputDiagnosa;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

}

